/**
 * Singleton class that contains all relevant information about the Environment (room, walls, floor).
 * Note that the structure of the environment is like this:
 * tx__. : Environment root
 * tx__o1: Environment subroot
 * tx__o1 - tx__oy: Floors and wall, distinguished by the categories Floor / Wall
 */
export default class Environment {
    private static __instance;
    private root;
    private floor;
    private environment;
    private walls;
    constructor();
    getRoot(): string;
    getFloor(): string;
    getEnvironment(): string;
    getWalls(): string[];
    static setInstance(val: any): void;
    static getInstance(): Environment;
    getWallFronts(): {
        fronts: string[];
        others: string[];
    };
}
